package com.jkcredit.invoice.hub;

import com.jkcredit.invoice.hub.config.ApplicationProperties;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.scheduling.annotation.EnableScheduling;

@EnableConfigurationProperties(ApplicationProperties.class)
@SpringBootApplication
@EnableScheduling
public class InvoiceHubApplication {

    public static void main(String[] args) {
        SpringApplication.run(InvoiceHubApplication.class, args);
    }

}
