package com.jkcredit.invoice.hub.controller.web.user.fb;

import lombok.Data;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Pattern;
import java.math.BigDecimal;

/**
 * @description:
 * @author: xusonglin
 * @create: 2020/1/7 16:08
 * @version: V1.0
 **/
@Data
public class UserFB {
    @NotNull(message = "用户名不能为空")
    @Pattern(regexp = "^[a-zA-Z0-9_]{4,30}$", message = "用户名格式错误")
    private String username;

    @NotNull(message = "密码不能为空")
    private String password;

    @Pattern(regexp = "^[a-zA-Z0-9_]{4,30}$", message = "appKey格式错误")
    @NotNull(message = "appKey不能为空")
    private String appKey;

    private String company;

    @NotNull(message = "用户类型不能为空")
    private Integer userType;

    private String contactName;

    private String telephone;

    private BigDecimal price;

    private Integer status;
}
