package com.jkcredit.invoice.hub.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jkcredit.invoice.hub.model.dto.permission.PermissionDto;
import com.jkcredit.invoice.hub.model.po.permission.PermissionPo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @description:
 * @author: xusonglin
 * @create: 2020/1/6 14:47
 * @version: V1.0
 **/
public interface PermissionMapper extends BaseMapper<PermissionPo> {
    List<PermissionPo> getPermissionByUserId(Long userId);

    IPage<PermissionPo> getPermissions(Page page, @Param("query") PermissionDto permissionDto);
}
