package com.jkcredit.invoice.hub.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jkcredit.invoice.hub.model.dto.role.RoleDto;
import com.jkcredit.invoice.hub.model.po.role.RolePo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @description:
 * @author: xusonglin
 * @create: 2020/1/13 11:50
 * @version: V1.0
 **/
public interface RoleMapper extends BaseMapper<RolePo> {
    IPage<RolePo> getRoles(Page page, @Param("query") RoleDto roleDto);

    List<RolePo> getRolesWithoutPage();
}
