package com.jkcredit.invoice.hub.model.po.recharge;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.ToString;

import javax.persistence.Entity;
import javax.persistence.Id;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @description:
 * @author: xusonglin
 * @create: 2020/1/12 20:42
 * @version: V1.0
 **/
@Entity
@Data
@ToString
@TableName("h_recharge")
public class RechargePo {
    @Id
    @TableId(type = IdType.AUTO)
    private Long id;
    private BigDecimal beforeBalance;
    private BigDecimal money;
    private Long userId;
    private Date createTime;
    private Date updateTime;
    private Integer activated;
    private String appKey;
    private String company;
    private Integer status;
    private String contactName;
    private String telephone;
    private BigDecimal price;
    private String roleName;
    private Long createUser;
}
