package com.jkcredit.invoice.hub.model.po.searchInvoiceResult;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.ToString;

import javax.persistence.Entity;
import javax.persistence.Id;
import java.io.Serializable;
import java.util.Date;

/**
 * @description:
 * @author: xusonglin
 * @create: 2020/1/17 22:47
 * @version: V1.0
 **/
@Entity
@Data
@ToString
@TableName("h_search_invoice_result")
public class SearchInvoiceResultPo implements Serializable {
    private static final long serialVersionUID = -1890028406584147117L;
    @Id
    @TableId(type = IdType.AUTO)
    private Integer id;

    // 发票号码
    private String invoiceNum;

    // 发票代码
    private String invoiceCode;

    // 开票时间
    private String invoiceMakeTime;

    // 下载地址
    private String invoiceUrl;

    // 发票模板url
    private String invoiceHtmlUrl;

    // 入口收费站
    private String enStation;

    // 出口收费站
    private String exStation;

    // 交易时间
    private String exTime;

    // 交易金额
    private Long fee;

    // 税额
    private Long totalTaxAmount;

    // 车牌号
    private String plateNum;

    // 车型
    private int vehicleType;

    // 运单编号
    private String waybillNum;

    // 运单状态
    private int waybillStatus;

    // 运单开始时间
    private String waybillStartTime;

    // 运单结束时间
    private String waybillEndTime;

    // 价税合计
    private Long totalAmount;

    // 税率
    private double taxRate;

    // 发票种类
    private String invoiceType;

    // 金额
    private Long amount;

    // 销方名称
    private String sellerName;

    // 销方税号
    private String sellerTaxpayerCode;

    // 交易id
    private String transactionId;

    // 用户id
    private Long userId;

    // 创建时间
    private Date createTime;

    // 交易匹配时间
    private String tradeMatchTime;

    // 购方名称
    private String buyerName;

    // 购方税号
    private String buyerTaxpayerCode;

    // 更新时间
    private Date updateTime;

    // 删除标记
    private Integer activated;
}
