package com.jkcredit.invoice.hub.model.po.user;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.ToString;

import javax.persistence.Entity;
import javax.persistence.Id;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @description:
 * @author: xusonglin
 * @create: 2019/12/30 17:33
 * @version: V1.0
 **/
@Entity
@Data
@ToString
@TableName("h_user")
public class UserPo implements Serializable {

    private static final long serialVersionUID = -5252679570009162293L;
    @Id
    @TableId(type = IdType.AUTO)
    private Long id;
    private String username;
    private String password;
    private String appKey;
    private String appSecret;
    private String company;
    private Date createTime;
    private Date updateTime;
    private Integer activated;
    private Integer userType;
    private Integer status;
    private String contactName;
    private String telephone;
    private BigDecimal price;
    private String roleName;
    private BigDecimal balance;
}
