package com.jkcredit.invoice.hub.model.dto.apiCompany;

import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @description:
 * @author: xusonglin
 * @create: 2020/1/17 22:20
 * @version: V1.0
 **/
@Data
public class CompanyAddDto implements Serializable {
    private static final long serialVersionUID = -6186404166498526540L;

    @NotNull(message = "客户名称")
    private String name;

    @NotNull(message = "公司类型")
    private Integer companyType;

    @NotNull(message = "纳税人识别号")
    private String taxplayerCode;

    @NotNull(message = "运营范围")
    private Integer operatingRangeType;

    @NotNull(message = "联系人")
    private String contact;

    @NotNull(message = "联系人电话")
    private String tel;

    @NotNull(message = "紧急联系人")
    private String emergencyContact;

    @NotNull(message = "紧急联系人电话")
    private String emergencyTel;

    @NotNull(message = "购方客户名称")
    private String buyerName;

    @NotNull(message = "购方税号")
    private String buyerTaxpayerCode;

    @NotNull(message = "购方单位地址")
    private String buyerAddr;

    @NotNull(message = "购方电话")
    private String buyerTel;

    @NotNull(message = "购方开户行")
    private String buyerBank;

    @NotNull(message = "购方银行账号")
    private String buyerBankAccount;
}
