package com.jkcredit.invoice.hub.model.dto.carFreeCarrierBillEnd;

import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @description:
 * @author: xusonglin
 * @create: 2020/1/17 16:08
 * @version: V1.0
 **/
@Data
public class CarFreeCarrierBillEndDto implements Serializable {
    private static final long serialVersionUID = 6773276823284930748L;
    // 运单编号
    @NotNull(message = "运单编号不能为空")
    @NotBlank(message = "运单编号不能为空")
    private String num;

    // 运单实际目的地址
    @NotNull(message = "运单实际目的地址不能为空")
    @NotBlank(message = "运单实际目的地址不能为空")
    private String realDestAddr;

    // 结束时间
    @NotNull(message = "结束时间不能为空")
    @NotBlank(message = "结束时间不能为空")
    private String endTime;

    // 开票时长
    @NotNull(message = "开票时长不能为空")
    private Integer invoiceTime;

    // 是否为历史运单
    private Integer isHistory;

    // 用户id
    private Long userId;
}
