package com.jkcredit.invoice.hub.model.dto.userBalance;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @description:
 * @author: xusonglin
 * @create: 2020/1/17 23:45
 * @version: V1.0
 **/
@Data
@AllArgsConstructor
@NoArgsConstructor
public class UserBalanceDtoApi implements Serializable {
    private static final long serialVersionUID = -1784057925412485786L;
    private Long userId;
    private Double balance;
    private String lastDeductionTime;

    public UserBalanceDtoApi(Double balance, String lastDeductionTime) {
        this.balance = balance;
        this.lastDeductionTime = lastDeductionTime;
    }
}
