package com.jkcredit.invoice.hub.model.po.needCharge;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.ToString;

import javax.persistence.Entity;
import javax.persistence.Id;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @description:
 * @author: xusonglin
 * @create: 2020/1/18 22:14
 * @version: V1.0
 **/
@Entity
@Data
@ToString
@TableName("h_need_charge")
public class NeedChargePo implements Serializable {
    private static final long serialVersionUID = -9196791950447430517L;
    @Id
    @TableId(type = IdType.AUTO)
    private Long id;
    private Long userId;
    private String num;
    private BigDecimal price;
    private String transactionId;
    private Date createTime;
}
