package com.jkcredit.invoice.hub.model.po.role;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.ToString;

import javax.persistence.Entity;
import javax.persistence.Id;
import java.io.Serializable;
import java.util.Date;

/**
 * @description:
 * @author: xusonglin
 * @create: 2020/1/13 11:48
 * @version: V1.0
 **/
@Entity
@Data
@ToString
@TableName("h_role")
public class RolePo implements Serializable {

    private static final long serialVersionUID = -5125401944480146857L;

    @Id
    @TableId(type = IdType.AUTO)
    private Long id;

    private String role;

    private String roleName;

    private Date createTime;

    private Date updateTime;

    private Integer activated;
}
