package com.jkcredit.invoice.hub.model.po.userBalance;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.ToString;

import javax.persistence.Entity;
import javax.persistence.Id;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @description:
 * @author: xusonglin
 * @create: 2020/1/13 10:04
 * @version: V1.0
 **/
@Entity
@Data
@ToString
@TableName("h_user_balance")
public class UserBalancePo implements Serializable {
    private static final long serialVersionUID = -8548930732100649834L;

    @Id
    @TableId(type = IdType.AUTO)
    private Long userId;
    private BigDecimal balance;
    private Date updateTime;
}
