package com.jkcredit.invoice.hub.model.po.userRolePermission;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.ToString;

import javax.persistence.Entity;
import javax.persistence.Id;
import java.io.Serializable;
import java.util.Date;

/**
 * @description:
 * @author: xusonglin
 * @create: 2020/1/13 17:21
 * @version: V1.0
 **/
@Entity
@Data
@ToString
@TableName("h_user_role_permission")
public class UserRolePermissionPo implements Serializable {
    private static final long serialVersionUID = -2752794166396911929L;

    @Id
    @TableId(type = IdType.AUTO)
    private Long id;

    private Long userId;

    private Long roleId;

    private Long permissionId;

    private Date createTime;

    private Date updateTime;

    private Integer activated;
}
